@import '../lib/scss/abstracts/wp-core';
@import '../lib/scss/vendors/sr-only/sr-only';

.wpez-blocks-block-wrapper.wpez-blocks-isEditor-true{
  min-height: 50px
}

.Xwpez-blocks-block-wrapper.wpez-blocks-isEditor-true:after{
  content: "";
  visibility: hidden;
  display: block;
  height: 0;
  clear: both;
}

.wpez-blocks-panel-body {

  .components-button.components-panel__body-toggle:focus:not(:disabled):not([aria-disabled=true]),
  .components-button.components-panel__body-toggle {
    border-top: 1px solid $dark-gray-500
  }

  .components-button.components-panel__body-toggle:focus:not(:disabled):not([aria-disabled=true]),
  .components-button.components-panel__body-toggle,
  .components-button.components-panel__body-toggle svg{
    background-color: $light-gray-200;
  }

  &> * + * {
    margin-top: 0.8rem;
  }

  .components-tab-panel__tabs button{
    color: $dark-gray-500;
    margin-right: 5px
  }

  .components-tab-panel__tabs button.tab-active{
    color: $black;
    border-bottom: 3px solid $blue-medium-focus;
  }

  .components-tab-panel__tab-content .wpez-blocks-tab-panel-inner-wrapper > * + * {
    margin-top: 0.9rem;
  }

  .components-tab-panel__tab-content{
    display:block;
    margin-top: 0.8rem;
  }

  .wpez-blocks-divider{
    border: 1px solid $dark-gray-500
  }

  .wpez-blocks-label-reset__wrapper {

    position: relative;
    margin-bottom: 3px;

    .components-base-control__label {
      display: inline-block;
    }

    .components-button__reset {
      position: absolute;
      display: inline;
      right: 0;
      width: auto;
      height: auto;
      line-height: 1.5;
      padding: 0 0 0 5px;
      background: transparent;
      border-color: transparent;
      box-shadow: none;

      &:active:enabled{
      background: transparent;
      border-color: transparent;
      box-shadow: none;
    }
    }

  }

  p.wpez-blocks-help{
    margin:0
  }
}